> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-development-guidelines/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-development-guidelines/advance-flow-features/rest-api/troubleshooting-rest.md).

# Troubleshooting REST

Collecting some of the issues we have experienced using REST

## Unexpected character encountered

Today suddenly our Zendesk integration stopped working, with an error message sating:&#x20;

*"Unexpected character encountered while parsing value: {. Path 'tickets\[0].satisfaction\_rating', line 1, position 1673"*

First step in our troubleshooting process was to enable logging&#x20;

![Enable logging](https://1485304389-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LzBrnkjB1FHaXbUzlzZ%2F-MXpcVcEed_VpfHQhnzn%2F-MXpdh8xG1jDFdnBiGfS%2Fimage.png?alt=media\&token=6aba3e1c-0605-421a-9247-56d62ab12a2c)

And in the logfiles I could find the position of where the error occurred (e.g. pos. 1673). However, the string I found here was nothing directly weird with: ""satisfaction\_rating":{"score":"unoffered"}".&#x20;

But - my REST model in the Flow Connector had satisfaction\_rating set as a string, while if I decipher the Json-syntax can see that satisfaction\_rating actually is an Object with one Element (score).&#x20;

Updating my model to this made it work again:

![](https://1485304389-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LzBrnkjB1FHaXbUzlzZ%2F-MXpcVcEed_VpfHQhnzn%2F-MXpfE0SxbA_5VUMNNR8%2Fimage.png?alt=media\&token=8cd16482-0c4d-4323-9f42-9667b8960f0a)

So obviously Zendesk changed something on their end, and this is how we isolated the issue and updated it on our end.&#x20;

{% hint style="info" %}
Pro Tip: in this scenario I created a separated Object that I then embedded into my Tickets model. Figuring that I will not use the satisfaction\_rating in other places I might decide to convert it to embedded model instead by right-clicking on it (note the warning text that you need to refresh the connector machine steps in Flow to reflect the change):&#x20;
{% endhint %}

![Convert to embedded model](https://1485304389-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LzBrnkjB1FHaXbUzlzZ%2F-MXpgcOJ-cQLPqhUYXrQ%2F-MXpm8jVvOhM3LOaypoP%2Fimage.png?alt=media\&token=b4c81a39-2a3f-4c57-88d0-ec5be78631e5)

![Note the confirm action](https://1485304389-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LzBrnkjB1FHaXbUzlzZ%2F-MXpgcOJ-cQLPqhUYXrQ%2F-MXpmMKstX88gvDu86zY%2Fimage.png?alt=media\&token=9c79b7b5-ab40-46cf-b97a-e26e60b3e51f)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.novacura.com/flow-development-guidelines/advance-flow-features/rest-api/troubleshooting-rest.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
